Bug 1267275 - The hostname from the server certificate is parsed incorrectly
The hostname from the server certificate is parsed incorrectly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity medium
: 3.2
: ---
Assigned To: Scott Mumford
Petr Matousek
: Documentation
Depends On: 1265130
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 10:02 EDT by Petr Matousek
Modified: 2015-10-13 09:01 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When the java client (qpid-java) parses the server certificate, it expects the 'subject' to begin with `CN=<hostname>`. If it does not, the certificate fails to parse correctly and the SSL hostname verification will fail. This will fail even if the `CN` appears elsewhere in the subject. The workaround is to make sure the subject starts with `CN`.
Story Points: ---
Clone Of: 1265130
Environment:
Last Closed: 2015-10-13 09:01:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 8 Petr Matousek 2015-10-08 04:50:52 EDT
Release note added, content approved.

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.